#
# spec file for package hdevtools
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global debug_package %{nil}
Name:           hdevtools
Version:        0.1.2.1
Release:        3.9
Summary:        Persistent GHC powered background server for FAST haskell development tools
License:        MIT
Group:          Development/Languages/Other 
Url:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}-rpmlintrc
BuildRequires:  ghc-Cabal-devel
# Begin cabal-rpm deps:
BuildRequires:  ghc-cmdargs-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-ghc-devel
BuildRequires:  ghc-ghc-paths-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unix-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# End cabal-rpm deps

%description
'hdevtools' is a backend for text editor plugins, to allow for things such as
syntax and type checking of Haskell code, and retrieving type information, all
directly from within your text editor.

The advantage that 'hdevtools' has over competitors, is that it runs silently
in a persistent background process, and therefore is able to keeps all of your
Haskell modules and dependent libraries loaded in memory. This way, when you
change only a single source file, only it needs to be reloaded and rechecked,
instead of having to reload everything.

This makes 'hdevtools' very fast for checking syntax and type errors (runs just
as fast as the ':reload' command in GHCi).

In fact, syntax and type checking is so fast, that you can safely enable auto
checking on every save. Even for huge projects, checking is nearly instant.

Once you start using 'hdevtools' and you get used to having your errors shown
to you instantly (without having to switch back and forth between GHCi and your
editor), and shown directly on your code, in your editor (without having to
wait forever for GHC to run) you will wonder how you ever lived without it.

In addition to checking Haskell source code for errors, 'hdevtools' has tools
for getting info about identifiers, and getting type information for snippets
of code.

%prep
%setup -q

%build
%{ghc_bin_build}

%install
%{ghc_bin_install}

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/%{name}

%changelog
* Sun Aug 16 2015 mimi.vx@gmail.com
- update to 0.1.2.1
* Thu Aug  6 2015 mimi.vx@gmail.com
- update 0.1.1.9
* Sun May 31 2015 mimi.vx@gmail.com
- update to 0.1.0.9
* Tue May 19 2015 mimi.vx@gmail.com
- mention rpmlintrc in spec
* Sat Apr 25 2015 mimi.vx@gmail.com
- update to 0.1.0.8
* Mon Nov 24 2014 mimi.vx@gmail.com
- initial commit
